<ion-header>
  <ion-toolbar class="header">
    <ion-title>AdoCão & ResGato</ion-title>
    <span *ngIf="user != undefined" slot="end">
      {{ user["nome"]  }}
    </span>
    <ion-buttons slot="start">
      <ion-menu-button autoHide="false"></ion-menu-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <form #form="ngForm" (ngSubmit)="buscar(form)" method="post">
    <ion-item>
      <ion-label>Tipo</ion-label>
      <ion-select interface="popover" placeholder="Selecione o tipo" (ionChange)="busca_racas($event.detail.value)"
        name="tipo" (ngModel)="tipo">
        <ion-select-option value="">Todos</ion-select-option>
        <ion-select-option value="1">Cachorro</ion-select-option>
        <ion-select-option value="2">Gato</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label>Raça</ion-label>
      <ion-select #raca interface="popover" placeholder="Selecione a raça" disabled="{{desabilitaRaca}}" name="raca"
        (ngModel)="raca">
        <ion-select-option value="">Todas</ion-select-option>
        <ion-select-option *ngFor="let raca of racas" value="{{raca.id}}">{{raca.nome}}</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label>Porte</ion-label>
      <ion-select interface="popover" placeholder="Selecione o porte" name="porte" (ngModel)="porte">
        <ion-select-option value="">Todos</ion-select-option>
        <ion-select-option value="1">Pequeno</ion-select-option>
        <ion-select-option value="2">Médio</ion-select-option>
        <ion-select-option value="3">Grande</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label>Sexo</ion-label>
      <ion-select interface="popover" placeholder="Selecione o sexo" name="sexo" (ngModel)="sexo">
        <ion-select-option value="">Todos</ion-select-option>
        <ion-select-option value="1">Macho</ion-select-option>
        <ion-select-option value="2">Fêmea</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label>Estado</ion-label>
      <ion-select interface="popover" placeholder="Selecione o estado" (ionChange)="busca_cidades($event.detail.value)"
        name="estado" (ngModel)="estado">
        <ion-select-option value="">Todos</ion-select-option>
        <ion-select-option *ngFor="let estado of estados" value="{{estado.id}}">{{estado.nome}}</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label>Cidade</ion-label>
      <ion-select interface="popover" placeholder="Selecione a cidade" disabled="{{desabilitaCidade}}" name="cidade"
        (ngModel)="cidade">
        <ion-select-option value="">Todas</ion-select-option>
        <ion-select-option *ngFor="let cidade of cidades" value="{{cidade.id}}">{{cidade.nome}}</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label>Tipo do anúncio</ion-label>
      <ion-select interface="popover" placeholder="Selecione o tipo" name="tipo_anuncio" (ngModel)="tipo_anuncio">
        <ion-select-option value="">Todas</ion-select-option>
        <ion-select-option value="1">Adoção</ion-select-option>
        <ion-select-option value="2">Doação</ion-select-option>
        <ion-select-option value="3">Resgate</ion-select-option>
        <ion-select-option value="4">Desaparecido</ion-select-option>
        <ion-select-option value="5">Encontrado</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-button type="submit" expand="block" color="success">Buscar</ion-button>
  </form>

  <ion-card *ngFor="let animal of animais">
    <ion-card-header class="item_animal_desc"
      [ngStyle]="{'background': 'url(' + animal.foto + ') no-repeat center bottom', 'background-size': 'cover'}"
      [routerLink]="['/detalhes/'+animal.id]" routerdirection="forward">
      <ion-card-title>{{animal.nome}}</ion-card-title>
      <ion-card-subtitle>{{animal.cor}}</ion-card-subtitle>
    </ion-card-header>
  </ion-card>
</ion-content>